### A free/open-source library for quantitative finance

Classes
ql/math/optimization/bfgs.hpp File Reference

Broyden-Fletcher-Goldfarb-Shanno optimization method. More...

`#include <ql/math/optimization/linesearchbasedmethod.hpp>`
`#include <ql/math/matrix.hpp>`
Include dependency graph for bfgs.hpp:

## Classes

class | BFGS
| Broyden-Fletcher-Goldfarb-Shanno algorithm. More...

## Detailed Description

Broyden-Fletcher-Goldfarb-Shanno optimization method.